libopenmpt 0.5.0-pre.5+r11801 cross-platform C++ and C library to decode tracked music files

Classes | Macros | Typedefs | Functions
libopenmpt_ext.h File Reference
`#include "libopenmpt_config.h"`
`#include "libopenmpt.h"`

Go to the source code of this file.

## Classes
struct | openmpt_module_ext_interface_pattern_vis
struct | openmpt_module_ext_interface_interactive

## Macros
#define | LIBOPENMPT_EXT_C_INTERFACE_PATTERN_VIS "pattern_vis"
#define | OPENMPT_MODULE_EXT_INTERFACE_PATTERN_VIS_EFFECT_TYPE_UNKNOWN 0
#define | OPENMPT_MODULE_EXT_INTERFACE_PATTERN_VIS_EFFECT_TYPE_GENERAL 1
#define | OPENMPT_MODULE_EXT_INTERFACE_PATTERN_VIS_EFFECT_TYPE_GLOBAL 2
#define | OPENMPT_MODULE_EXT_INTERFACE_PATTERN_VIS_EFFECT_TYPE_VOLUME 3
#define | OPENMPT_MODULE_EXT_INTERFACE_PATTERN_VIS_EFFECT_TYPE_PANNING 4
#define | OPENMPT_MODULE_EXT_INTERFACE_PATTERN_VIS_EFFECT_TYPE_PITCH 5
#define | LIBOPENMPT_EXT_C_INTERFACE_INTERACTIVE "interactive"

## Typedefs
typedef struct openmpt_module_ext | openmpt_module_ext
| Opaque type representing a libopenmpt extension module. More...
typedef struct openmpt_module_ext_interface_pattern_vis | openmpt_module_ext_interface_pattern_vis
typedef struct openmpt_module_ext_interface_interactive | openmpt_module_ext_interface_interactive

## Functions
openmpt_module_ext * | openmpt_module_ext_create (openmpt_stream_callbacks stream_callbacks, void *stream, openmpt_log_func logfunc, void *loguser, openmpt_error_func errfunc, void *erruser, int *error, const char **error_message, const openmpt_module_initial_ctl *ctls)
| Construct an openmpt_module_ext. More...
openmpt_module_ext * | openmpt_module_ext_create_from_memory (const void *filedata, size_t filesize, openmpt_log_func logfunc, void *loguser, openmpt_error_func errfunc, void *erruser, int *error, const char **error_message, const openmpt_module_initial_ctl *ctls)
| Construct an openmpt_module_ext. More...
void | openmpt_module_ext_destroy (openmpt_module_ext *mod_ext)
| Unload a previously created openmpt_module_ext from memory. More...
openmpt_module * | openmpt_module_ext_get_module (openmpt_module_ext *mod_ext)
| Retrieve the openmpt_module handle from an openmpt_module_ext handle. More...
int | openmpt_module_ext_get_interface (openmpt_module_ext *mod_ext, const char *interface_id, void *interface, size_t interface_size)